 function [PRD,MSE,SER] = INDEXY_vykonosti(x,y,zasumeny)

zac=500;
kon=4500;
N=length(y(1,zac:kon));
jmen=[];
cit=[];
ll=[];
nn=[];
for i=zac:kon
    jmen=[jmen (x(1,i)-y(1,i))^(2)];
    cit=[cit (x(1,i))^(2)];
    ll=[ll (y(1,i)-x(1,i))^(2)];
    nn=[ll (zasumeny(1,i)-x(1,i))^(2)];
end
PRD=(sum(jmen)/sum(cit))*100;
MSE=sum(ll)/N;
SER=10*log10(sum(cit))/(sum(jmen));
 end

